using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class AggiungiUtente : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void ButtonAggiungiUtente_Click(object sender, EventArgs e)
    {
        MembershipCreateStatus status;
        try
        {
            if (TextBoxPassword.Text == TextBoxPasswordConf.Text)
            {
                MembershipUser newUser = Membership.CreateUser(TextBoxUserId.Text, TextBoxPassword.Text, TextBoxEmail.Text, TextBoxQuestion.Text, TextBoxAnswer.Text, true, out status);
                if (newUser == null)
                    Msg.Text = GetErrorMessage(status);
                else
                    Msg.Text = "L'utente " + newUser.UserName + "  stato creato. Effettuare il Login.";
            }
            else
                Msg.Text = "Le password inserite non coincidono.";
        }
        catch
        {
            Msg.Text = "Si  verificata un'eccezione.";
        }
    }

    public string GetErrorMessage(MembershipCreateStatus status)
    {
        switch (status)
        {
            case MembershipCreateStatus.DuplicateUserName:
                return "Nome utente gi presente. Inserirne uno differente.";

            case MembershipCreateStatus.DuplicateEmail:
                return "Un utente con questa e-mail gi esiste. Inserire un altro indirizzo e-mail.";

            case MembershipCreateStatus.InvalidPassword:
                return "Password non valida. Inserirne una valida.";

            case MembershipCreateStatus.InvalidEmail:
                return "Indirizzo e-mail non valido. Inserirne uno valido e riprovare.";

            default:
                return "Si  verificato un errore sconosciuto. Se il problema persiste contattare l'amministratore.";
        }
    }
}